<div class="container-fluid usersTable ">
  <div class="row mb-3">
      
    <input type="text" placeholder="Pretraga po imenu" (input)="onSearchChange()" [(ngModel)]="filter" class="form-control col-md-2">
    <div class="col-9"></div>
    <button (click)="onAddUser()" class="btn btn-success col-md-1">Add User</button>
    
  </div>
  
  <div class="row">
    <table class="table table-hover">
      <thead class="bg-info text-light">
        <tr>
          <th>Ime</th>
          <th>Prezime</th>
          <th>Korisnicko Ime</th>
          <th>Email</th>
          <th>Uloga</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let user of users" [routerLink]="['/korisnici', user.id]">
          <td>{{user.ime}}</td>
          <td>{{user.prezime}}</td>
          <td>{{user.korisnickoIme}}</td>
          <td>{{user.email}}</td>
          <td *ngIf="user.role == 'ROLE_STUDENT'">STUDENT</td>
          <td *ngIf="user.role == 'ROLE_NASTAVNIK'">NASTAVNIK</td>
          <td *ngIf="user.role == 'ROLE_ADMIN'">ADMIN</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="row">
    <label class="col-1" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="col-1" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=5>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>
    
  </div>
  <div class="row">
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page" [maxSize]=7
      (pageChange)="onPageChange($event)"></ngb-pagination>
  </div>


</div>